2.6.28/andy-tracking (was: meeting in Braunschweig)

Jan Lübbe jluebbe at openmoko.org
Wed Jan 7 18:33:32 CET 2009

On Wed, 2009-01-07 at 13:07 +0000, Andy Green wrote:
> Somebody in the thread at some point said:
> | => 2.6.28
> | * Framework already supports both kernels (.24 & .28).
> | * Next FSO milestone will come with support for both kernels. If .28 proves to
> | be stable enough in the coming weeks .24 support may be removed immediately.
> That's really good news.  Are andy-tracking kernel packages autobuilt
> and made public anywhere yet?

Since some time, the 'linux-openmoko-devel' bb-file in OpenEmbedded
builds from andy-tracking. By default 'linux-openmoko' is built instead,
this can be changed by adding this to conf/local.conf:
PREFERRED_PROVIDER_virtual/kernel = "linux-openmoko-devel"

I don't know if the this is autobuilt somewhere, but rather current
images can be found in:

> What would good advice look like for
> people on existing rootfs to try those packages?

That depends very much on which image they are using. For "latest" and
"unstable" feeds, it is expected that one need needs to reflash from
time to time. For the released images, the updates can be automatic via
feed-config packages in the current feeds that will update the system
with new feed locations.


More information about the community mailing list